From 5938cbfcc7b46c9c5e9c87c64ab81d9af58c7d41 Mon Sep 17 00:00:00 2001
From: benoit <benoit.lobreau@dalibo.com>
Date: Wed, 29 Jan 2025 17:15:25 +0100
Subject: [PATCH 3/3] Implements logging for parallel worker usage in queries

---
 src/backend/executor/execMain.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/src/backend/executor/execMain.c b/src/backend/executor/execMain.c
index 2da848970be..604b002638c 100644
--- a/src/backend/executor/execMain.c
+++ b/src/backend/executor/execMain.c
@@ -1,5 +1,4 @@
-/*-------------------------------------------------------------------------
- *
+/*------------------------------------------------------------------------
  * execMain.c
  *	  top level executor interface routines
  *
@@ -560,6 +559,10 @@ standard_ExecutorEnd(QueryDesc *queryDesc)
 		pgstat_update_parallel_workers_stats((PgStat_Counter) estate->es_parallel_workers_to_launch,
 											 (PgStat_Counter) estate->es_parallel_workers_launched);
 
+	LogParallelWorkersIfNeeded(log_parallel_workers,
+								estate->es_parallel_workers_to_launch,
+								estate->es_parallel_workers_launched);
+
 	/*
 	 * Check that ExecutorFinish was called, unless in EXPLAIN-only mode or if
 	 * execution was aborted.
-- 
2.48.1

